/*
  MotorL293.h - Motor Library to use with L293 chip.
  Created by Martin Nawrath and Andreas Muxel, 2008.
  http://interface.khm.de
  Released into the public domain.
*/

#ifndef MotorL293_h
#define MotorL293_h


class MotorL293
{
  public:
	// constructor
    MotorL293();
	// attach
	void attach(int pin1, int pin2, int pinPWM);
	// set power
	void setPower(int power);
	// set direction
	void setDirection(int direction);	
  private:
	// motor pins
	int motorPin1;
	int motorPin2;
	// pwm pin
	int pwmPin;
};

#endif

